# Generated by Django 2.1.4 on 2018-12-05 16:31

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import wagtail.core.blocks
import wagtail.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailimages', '0021_image_file_hash'),
        ('catalogue', '0013_auto_20170821_1548'),
    ]

    operations = [
        migrations.CreateModel(
            name='Images',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('caption', models.TextField(blank=True, verbose_name='Caption')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.Image')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.AlterModelOptions(
            name='category',
            options={'verbose_name_plural': 'Categories'},
        ),
        migrations.AlterModelOptions(
            name='product',
            options={'ordering': ['-active', '-priority', '-date_created'], 'verbose_name': 'Product', 'verbose_name_plural': 'Products'},
        ),
        migrations.AlterModelOptions(
            name='productattributevalue',
            options={},
        ),
        migrations.AlterModelOptions(
            name='productcategory',
            options={},
        ),
        migrations.AlterModelOptions(
            name='productclass',
            options={'verbose_name': 'Product Type'},
        ),
        migrations.RemoveField(
            model_name='category',
            name='depth',
        ),
        migrations.RemoveField(
            model_name='category',
            name='numchild',
        ),
        migrations.RemoveField(
            model_name='category',
            name='path',
        ),
        migrations.RemoveField(
            model_name='category',
            name='slug',
        ),
        migrations.AddField(
            model_name='product',
            name='active',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='product',
            name='default_attributes',
            field=wagtail.core.fields.StreamField([('weight', wagtail.core.blocks.CharBlock()), ('size', wagtail.core.blocks.CharBlock())], blank=True),
        ),
        migrations.AddField(
            model_name='product',
            name='guitar_attributes',
            field=wagtail.core.fields.StreamField([('neck', wagtail.core.blocks.CharBlock()), ('size', wagtail.core.blocks.CharBlock())], blank=True),
        ),
        migrations.AddField(
            model_name='product',
            name='price',
            field=models.DecimalField(blank=True, decimal_places=2, default=None, help_text='Price including VAT', max_digits=18),
        ),
        migrations.AddField(
            model_name='product',
            name='priority',
            field=models.IntegerField(default='0'),
        ),
        migrations.AddField(
            model_name='product',
            name='sku',
            field=models.CharField(blank=True, max_length=255),
        ),
        migrations.AddField(
            model_name='productattributevalue',
            name='sort_order',
            field=models.IntegerField(blank=True, editable=False, null=True),
        ),
        migrations.AddField(
            model_name='productcategory',
            name='sort_order',
            field=models.IntegerField(blank=True, editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='category',
            name='description',
            field=wagtail.core.fields.RichTextField(blank=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='product',
            name='description',
            field=wagtail.core.fields.RichTextField(blank=True),
        ),
        migrations.AlterField(
            model_name='product',
            name='product_class',
            field=models.ForeignKey(blank=True, default=1, help_text='Choose what type of product this is', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='products', to='catalogue.ProductClass', verbose_name='Product type'),
        ),
        migrations.AlterField(
            model_name='productattributevalue',
            name='product',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='attribute_values', to='catalogue.Product', verbose_name='Product'),
        ),
        migrations.AlterField(
            model_name='productattributevalue',
            name='value_multi_option',
            field=modelcluster.fields.ParentalManyToManyField(blank=True, related_name='multi_valued_attribute_values', to='catalogue.AttributeOption', verbose_name='Value multi option'),
        ),
        migrations.AlterField(
            model_name='productcategory',
            name='product',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='product_category', to='catalogue.Product', verbose_name='Product'),
        ),
        migrations.AddField(
            model_name='images',
            name='page',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='wimages', to='catalogue.Product'),
        ),
    ]
